package cn.qinys.platform.upms.api.service;

import cn.qinys.platform.upms.api.req.*;
import cn.qinys.platform.upms.api.resp.MenuPageResp;

import java.util.List;

/**
 * Description:
 *
 * @author tanlie
 * Date: 2024/2/6 15:20
 */
public interface IMenuService {

    /**
     * 菜单页面
     * @return
     */
    List<MenuPageResp> getMenuPage();

    /**
     * 刷新菜单
     */
    void refreshMenu();

    /**
     * 新增菜单
     *
     * @param req
     */
    void createMenu(MenuCreateReq req);

    /**
     * 删除菜单
     *
     * @param req
     */
    void removeMenu(MenuRemoveReq req);

    /**
     * 菜单更新
     *
     * @param req
     */
    void updateMenu(MenuUpdateReq req);

}
